iPhone 4.3 Dev Release Has Expired - HELP!

Discussion in 'iPhone' started by Caolan96, Mar 13, 2011.

  1. Caolan96 macrumors regular

    Joined:
    Apr 18, 2010
    Location:
    Derry, Northern Ireland, UK
    #1
    Hi All,

    So at 12:00AM GMT whilst using my iphone it went onto the connect to iTunes screen.

    I had no idea what happened, so I connected to iTunes and got the notification "The software on this iPhone has expired and needs to be updated."

    So I go to update software, and it says software is up to date.

    It also does not allow me to restore.

    Any help would be appreciated.

    Thanks,
    Caolán.
     
  2. Saberon macrumors 6502a

    Joined:
    Sep 16, 2008
    #2
    Go here and download the appropriate firmware for what phone you have

    http://ios.e-lite.org/

    Open iTunes, hold command+click restore and select the firmware from the popup box.

    Enjoy
     
  3. mbprouser macrumors member

    mbprouser

    Joined:
    Jul 24, 2009
    Location:
    127.0.0.1
    #3
    Try the Restore button. That will (should) download the latest iOS version for you.
     
  4. Caolan96 thread starter macrumors regular

    Joined:
    Apr 18, 2010
    Location:
    Derry, Northern Ireland, UK
    #4
    did the command click restore, worked a treat.

    thanks!
     
  5. Anciteify macrumors newbie

    Joined:
    Mar 13, 2011
    #5
    Thanks my iPod touch 4th gen did this too so I was looking for it :p
     
  6. iAmYou macrumors 6502

    iAmYou

    Joined:
    Jun 29, 2010
    #6
    Are these the GM versions that are doing this?
    I don't remember them doing this before.
     
  7. pryomoax macrumors newbie

    Joined:
    Mar 13, 2011
    #7
    Upgrading to the 4.3 release

    This is really annoying! Whilst I understand the need to expire pre-releases there should be a warning at the very least, just like previous profile expirations.

    Download the IPSW from here, and use iTunes (not Organizer as it will do a restore) to upgrade your iPhone. ALT+Click on Check for Update and select the IPSW downloaded. My device is up and running, having had 4.3 Beta3 installed and expired.
     
  8. ulbador macrumors 68000

    ulbador

    Joined:
    Feb 11, 2010
    #8
    They do warn you.
     
  9. Buttino macrumors newbie

    Joined:
    Sep 9, 2010
    #9
    My GM release has just done exactly the same :(

    Edit - Ignore me, checked the versions and they are different, I downloaded what I thought was the GM version from imodzone.net
     

Share This Page